## GnomeDbCanvas GnomeDbCanvas — Base class for all the GnomeCanvas derived widgets in libgnomedb. |

## Synopsis

                        GnomeDbCanvas;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkLayout
                                     +----GnomeCanvas
                                           +----GnomeDbCanvas
                                                 +----GnomeDbCanvasDbRelations
                                                 +----GnomeDbCanvasQueryStruct

## Implemented Interfaces

GnomeDbCanvas implements AtkImplementorIface and GtkBuildable.

## Properties

      "graph"                    gpointer              : Read / Write

## Signals

      "drag-action"                                    : Run First

## Description

This abstract class adds some basic functionnalities on top of the GnomeCanvas canvas such as:

- synchronisation with a GdaGraph object (to be able to save the position of each canvas item) and management of the list of items drawn on the canvas.

- zoom settings

The GnomeDbCanvas widget can be used with or without any associated GdaGraph object.

## Details

### GnomeDbCanvas

    typedef struct _GnomeDbCanvas GnomeDbCanvas;

## Property Details

### The `"graph"` property

      "graph"                    gpointer              : Read / Write

## Signal Details

### The `"drag-action"` signal

    void                user_function                      (GnomeDbCanvas *dbcanvas,
                                                            gpointer       arg1,
                                                            gpointer       arg2,
                                                            gpointer       user_data)      : Run First

`dbcanvas` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.